IndexUpdateOutputFormat (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.contrib.index.mapred
Class IndexUpdateOutputFormat

    java.lang.Object
      org.apache.hadoop.mapred.FileOutputFormat<Shard,Text>
          org.apache.hadoop.contrib.index.mapred.IndexUpdateOutputFormat

All Implemented Interfaces:
  OutputFormat<Shard,Text>

    public class IndexUpdateOutputFormat

extends FileOutputFormat<Shard,Text>

The record writer of this output format simply puts a message in an output path when a shard update is done.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapred.FileOutputFormat
`FileOutputFormat.Counter`

Constructor Summary
`IndexUpdateOutputFormat()`

Method Summary
`RecordWriter<Shard,Text>` | `getRecordWriter(FileSystem fs, JobConf job, String name, Progressable progress)` Get the `RecordWriter` for the given job.

Methods inherited from class org.apache.hadoop.mapred.FileOutputFormat
`checkOutputSpecs, getCompressOutput, getOutputCompressorClass, getOutputPath, getPathForCustomFile, getTaskOutputPath, getUniqueName, getWorkOutputPath, setCompressOutput, setOutputCompressorClass, setOutputPath`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IndexUpdateOutputFormat

    public IndexUpdateOutputFormat()

Method Detail

### getRecordWriter

    public RecordWriter<Shard,Text> getRecordWriter(FileSystem fs,
                                                    JobConf job,
                                                    String name,
                                                    Progressable progress)
                                             throws IOException

  Description copied from interface: `OutputFormat`
  Get the `RecordWriter` for the given job.

  Specified by:
    `getRecordWriter` in interface `OutputFormat<Shard,Text>`
  Specified by:
    `getRecordWriter` in class `FileOutputFormat<Shard,Text>`
    `job` - configuration for the job whose output is being written.
    `name` - the unique name for this part of the output.
    `progress` - mechanism for reporting progress while writing to file.
  Returns:
    a `RecordWriter` to write the output for the job.
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation